# vMap

vMap is a powerful webmapping application based on the newest open-source libraries (OpenLayers 3, Google-Closure, AngularJS, Bootstrap…).

It can use external map services, local data files produced in many formats (WMS, WMTS, Bing, OSM, GPX, GeoJSON, KML, TopoJSON...) or publish WMS services using MapServer.

vMap is able to manage business objects while using WMS producing server software like MapServer, GeoServer or ArcGis Server.


## Getting Started

- Try the [demo](https://demo.veremes.net/vmap/)
- Download the setup on [vStore](https://vstore.veremes.net/store/)
- Follow the [install procedure](http://www.veremes.com/procedure-dinstallation-de-vmap)


## Install dev version (Linux)

To install the dev version of this project run the following steps:

- Install the app via the VAI setup on var/www/[app name]
- Clone this repo on var/wwww/[app name]\_dev
- Run install.sh and give the var/www/[app name] path when asked to build your tree structure
- Now you have the correct versioned tree structure, rename var/www/[app name] as var/www/[app name]\_vai and var/www/[app name]\_dev as var/www/[app name]
- Run `git pull` and `git push` to update/post the project and his dependencies
